Skip to navigation

List Categories

Deprecated

When possible, use the Catalog Trees - Get all categories endpoint instead.

Returns a list of Categories. Optional filter parameters can be passed in.

Note: The default rate limit for this endpoint is 40 concurrent requests.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Productsmodifystore_v2_products
Productsread-onlystore_v2_products_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

idintegerOptional
Filter items by category ID.
id:inlist of integersOptional

Explicitly include objects by passing a comma-separated list of IDs.

id:not_inlist of integersOptional

Exclude objects by passing a comma-separated list of IDs.

id:minintegerOptional
Filter results to those whose ID is greater than or equal to this value.
id:maxintegerOptional
Filter results to those whose ID is less than or equal to this value.
id:greaterintegerOptional
Filter results to those whose ID is greater than this value.
id:lessintegerOptional
Filter results to those whose ID is less than this value.
namestringOptional
Filter items by name.
name:likestringOptional

Filter items by substring in the name property. name:like=stick returns both Stickers and Lipstick colors.

parent_idintegerOptional

Filter items by parent_id. If the category is a child or sub-category it can be filtered with the parent_id.

parent_id:inlist of integersOptional
Filter results to those whose parent ID is in this list.
parent_id:minintegerOptional
Filter results to those whose parent ID is greater than or equal to this value.
parent_id:maxintegerOptional
Filter results to those whose parent ID is less than or equal to this value.
parent_id:greaterintegerOptional
Filter results to those whose parent ID is greater than this value.
parent_id:lessintegerOptional
Filter results to those whose parent ID is less than this value.
page_titlestringOptional

Filter items by page_title.

page_title:likestringOptional

Filter items by substring in the page title property. page_title:like=oil returns both Soil and mulch and Oil pastels.

keywordstringOptional

Filter items by keywords found in the name, description, or sku fields, or in the brand name.

is_visiblebooleanOptional
Filter items based on whether the product is currently visible on the storefront.
sortenumOptional

Controls the sort order of the response, for example, sort=name.

Allowed values:

  • name: sort categories in alphabetical order by category name.
  • id: sort in ascending order by category ID.
  • parent_id: sort in ascending order by the ID of the parent category.
  • sort_order: sort in ascending order by sort order value.
Allowed values:
pageintegerOptional

Specifies the page number in a limited (paginated) list of results.

limitintegerOptional

Controls the number of items per page in a limited (paginated) list of results.

include_fieldslist of stringsOptional

Fields to include, in a comma-separated list. The ID and the specified fields will be returned.

exclude_fieldslist of stringsOptional

Fields to exclude, in a comma-separated list. The specified fields will be excluded from a response. The ID cannot be excluded.

Response

OK
datalist of objectsOptional
metaobjectOptional
Data about the response, including pagination and collection totals.